uk.gov.hmrc.mongo.cache

# SessionCacheRepository

###
Related Doc: package cache

#### class SessionCacheRepository extends MongoDatabaseCollection

CacheId is stored in session with sessionIdKey

Linear Supertypes
MongoDatabaseCollection, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SessionCacheRepository
2. MongoDatabaseCollection
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new SessionCacheRepository(mongoComponent: MongoComponent, collectionName: String, rebuildIndexes: Boolean = true, ttl: Duration, timestampSupport: TimestampSupport, sessionIdKey: String)(implicit ec: ExecutionContext)

   Annotations
     @Inject()

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### val cacheRepo: MongoCacheRepository[Request[Any]]

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### val collectionName: String

   Definition Classes
     SessionCacheRepository → MongoDatabaseCollection

8. #### def deleteFromSession[T](dataKey: DataKey[T])(implicit request: Request[Any]): Future[Unit]

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### def getFromSession[T](dataKey: DataKey[T])(implicit arg0: Reads[T], request: Request[Any]): Future[Option[T]]

14. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

15. #### val indexes: Seq[IndexModel]

    Definition Classes
      SessionCacheRepository → MongoDatabaseCollection

16. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

17. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

18. #### final def notify(): Unit

    Definition Classes
      AnyRef

19. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

20. #### def putSession[T](dataKey: DataKey[T], data: T)(implicit arg0: Writes[T], request: Request[Any], ec: ExecutionContext): Future[(String, String)]

    returns

      (sessionIdKey, sessionId) - since the sessionId would have been generated if not available in session, it is returned for storage in session.

21. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

22. #### def toString(): String

    Definition Classes
      AnyRef → Any

23. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

25. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from MongoDatabaseCollection

### Inherited from AnyRef

### Inherited from Any

### Ungrouped